package m05bSeguroEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05Seguro</tt>.
 */
public class m05SeguroPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the seguro codigo, which is the primary key 
   * in table <tt>m0528t00</tt>.
   */
  public String seg_codigo;
  
  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean   
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05SeguroPK) {
      m05SeguroPK otherKey = (m05SeguroPK) obj;
      return ((this.seg_codigo == otherKey.seg_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return Integer.parseInt(this.seg_codigo);
  }    
  
}
